List assessments
curl --request GET \
--url https://manuscript.example.com/api/v1/assessments \
--header 'Authorization: Bearer <token>'import requests
url = "https://manuscript.example.com/api/v1/assessments"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://manuscript.example.com/api/v1/assessments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"depReference": "<string>",
"name": "<string>",
"groupName": "<string>",
"status": "<string>",
"responses": 123,
"tags": [
"<string>"
]
}
],
"page": 123,
"pageSize": 123,
"totalCount": 123,
"hasNextPage": true,
"hasPreviousPage": true
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"errors": [
{
"code": "<string>",
"description": "<string>",
"type": 123
}
],
"traceId": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"errors": [
{
"code": "<string>",
"description": "<string>",
"type": 123
}
],
"traceId": "<string>"
}List assessments
Paged list of assessments: name, group, status, tags and response counts.
GET
/
api
/
v1
/
assessments
List assessments
curl --request GET \
--url https://manuscript.example.com/api/v1/assessments \
--header 'Authorization: Bearer <token>'import requests
url = "https://manuscript.example.com/api/v1/assessments"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://manuscript.example.com/api/v1/assessments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"depReference": "<string>",
"name": "<string>",
"groupName": "<string>",
"status": "<string>",
"responses": 123,
"tags": [
"<string>"
]
}
],
"page": 123,
"pageSize": 123,
"totalCount": 123,
"hasNextPage": true,
"hasPreviousPage": true
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"errors": [
{
"code": "<string>",
"description": "<string>",
"type": 123
}
],
"traceId": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"errors": [
{
"code": "<string>",
"description": "<string>",
"type": 123
}
],
"traceId": "<string>"
}